IM_SUBSAMPLE(3)

NAME
im_subsample - subsample image by integer factor

SYNOPSIS
#include <vips/vips.h> int im_subsample(in, out, xsub, ysub)
IMAGE *in, *out;
int xsub, ysub;

DESCRIPTION
im_subsample() sub-samples image in by an x and y integer factor. It is much faster than im_shrink(), especially for large partial images. It works for any image type.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_shrink(3), im_similarity(3), im_zoom(3)

COPYRIGHT
1989-1996 The National Gallery and Birkbeck College